function [number, loglikness]= MGPtestiranje (testni, prior, transmat, mu, Sigma, mixmat)

% %TESTIRANJE IZRAVNO
% source1IO;
% 
% testni=ans;
for j=1:36
        for k= 1:3
            
                podataktocan(k,j)=testni(j,k);
                
                if k==3 && podataktocan(k,j)>5
                    podataktocan(k,j)=5;
                end
                if k==3 && podataktocan(k,j)==0
                    podataktocan(k,j)=6;
                end
        end
end


%modificiranje testdata u podataktocan (MGP, MGS, DP ili DS)
% testnibroj=6;  
%     for j=1:36
%         for k= 1:3
%             
%                 podataktocan(k,j)=testni{testnibroj}(j,k);
%                 
%                 if k==3 && podataktocan(k,j)>5
%                     podataktocan(k,j)=5;
%                 end
%                 if k==3 && podataktocan(k,j)==0
%                     podataktocan(k,j)=6;
%                 end
%         end
%     end

%%TESTIRANJE%%
MAXloglik = -Inf;
number=0;

% use model to compute log likelihood
for i = 1:8
    if isempty(prior{i}) == 0
        %loglikness{testnb}(i,Q) = dhmm_logprob(testdata, prior{i}, transmat{i}, obsmat{i});
        loglikness(i) = mhmm_logprob(podataktocan, prior{i}, transmat{i}, mu{i}, Sigma{i}, mixmat{i});
        if loglikness(i) > MAXloglik
            MAXloglik = loglikness(i);
            number = i;
        end
    end
end

% %ISPIS REZULTATA
% switch number
%     case 1
%         disp('gledaj');
%     case 2
%         disp('grc');
%     case 3
%         disp('idem gori');
%     case 4
%         disp('nestaje mi zraka');
%     case 5
%         disp('okreni se');
%     case 6
%         disp('opasnost');
%     case 7
%         disp('smiri se');
%     case 8
%         disp('stani');
%     otherwise
%         disp('brate ne znam kako si uspio dobiti ovo rjesenje');
% end
% 
% figure(1)
% bar( [1 2 3 4 5 6 7 8], loglikness(:))
% set(gca, 'XTick', [1:8], 'XGrid', 'On', 'XLim', [0 9])

end